Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Static Public Member Functions | Static Private Member Functions | List of all members
eZCache Class Reference

## Static Public Member Functions
static | fetchList ()
static | fetchTagList ( $cacheInfoList=false)
static | fetchIDList ( $cacheInfoList=false)
static | fetchByTag ( $tagName, $cacheInfoList=false)
static | fetchByID ( $id, $cacheInfoList=false)
static | fetchByIDList ( $idList, $cacheInfoList=false)
static | clearAll ( $cacheList=false)
static | clearByTag ( $tagName, $cacheList=false)
static | clearByID ( $idList, $cacheList=false)
static | clearItem ( $cacheItem, $purge=false, $reporter=false, $iterationSleep=false, $iterationMax=false, $expiry=false)
static | clearImageAlias ( $cacheItem)
static | purgeImageAlias ( $cacheItem)
static | clearContentTreeMenu ( $cacheItem)
static | clearTemplateBlockCache ( $cacheItem)
static | clearTemplateOverrideCache ( $cacheItem)
static | clearClassID ( $cacheItem)
static | clearSortKey ( $cacheItem)
static | clearUserInfoCache ( $cacheItem)
static | clearContentCache ( $cacheItem)
static | clearGlobalINICache ( $cacheItem)
static | clearTemplateCompileCache ()
static | clearTextToImageCache ( $cacheItem)
static | purgeTextToImageCache ( $cacheItem)
static | clearStateLimitations ( $cacheItem)
static | clearActiveExtensions ( $cacheItem)
static | clearDesignBaseCache ( $cacheItem)
static | clearTSTranslationCache ( $cacheItem)

## Static Private Member Functions
static | purgeImageAliasForObject (array $cacheItem, eZContentObject $object, array $imageIdentifiers)

## Detailed Description

Definition at line 21 of file ezcache.php.

## Member Function Documentation

## ◆ clearActiveExtensions()

static eZCache::clearActiveExtensions | ( |  | $cacheItem | ) |
| static

Clears active extensions list cache

Definition at line 778 of file ezcache.php.

References eZExtension\clearActiveExtensionsCache(), and eZExtension\clearActiveExtensionsMemoryCache().

## ◆ clearAll()

static eZCache::clearAll | ( |  | $cacheList = `false` | ) |
| static

Clears all cache items.

Parameters

  bool | $cacheList |

Returns
  bool True

Definition at line 383 of file ezcache.php.

References clearItem(), and fetchList().

## ◆ clearByID()

static eZCache::clearByID | ( |  | $idList,
|  |  | $cacheList = `false`
| ) |  |
| static

Finds all cache item which has ID equal to one of the IDs in $idList. You can also submit a single id to $idList.

Parameters

  array | $idList | The cache ID list
  bool | array | $cacheList | The list of caches, default false

Definition at line 426 of file ezcache.php.

References clearItem(), and fetchList().

## ◆ clearByTag()

static eZCache::clearByTag | ( |  | $tagName,
|  |  | $cacheList = `false`
| ) |  |
| static

Finds all cache item which has the tag $tagName and clears them.

Parameters

  string | $tagName | The tag name
  bool | array | $cacheList | The list of caches, default false

Definition at line 401 of file ezcache.php.

References clearItem(), and fetchList().

## ◆ clearClassID()

static eZCache::clearClassID | ( |  | $cacheItem | ) |
| static

Clears all content class identifier cache files from var/cache.

Definition at line 685 of file ezcache.php.

References eZSys\cacheDirectory(), eZContentClass\expireCache(), and eZClusterFileHandler\instance().

## ◆ clearContentCache()

static eZCache::clearContentCache | ( |  | $cacheItem | ) |
| static

Clears all content caches by setting a new expiry value for the key content-view-cache.

Definition at line 721 of file ezcache.php.

## ◆ clearContentTreeMenu()

static eZCache::clearContentTreeMenu | ( |  | $cacheItem | ) |
| static

Sets the content tree menu timestamp to the current date and time, this is used as a GET parameter in the content/treemenu requests and thus forces a browser to load the content tree menu from a server rather than to use a cached copy.

Definition at line 652 of file ezcache.php.

## ◆ clearDesignBaseCache()

static eZCache::clearDesignBaseCache | ( |  | $cacheItem | ) |
| static

Clears the design base cache

Parameters

  $cacheItem | array the cache item that describes the cache tag/id

Definition at line 793 of file ezcache.php.

References eZSys\cacheDirectory(), eZTemplateDesignResource\DESIGN_BASE_CACHE_NAME, and eZClusterFileHandler\instance().

## ◆ clearGlobalINICache()

static eZCache::clearGlobalINICache | ( |  | $cacheItem | ) |
| static

Clear global ini cache

Definition at line 732 of file ezcache.php.

References eZDir\recursiveDelete().

## ◆ clearImageAlias()

static eZCache::clearImageAlias | ( |  | $cacheItem | ) |
| static

Sets the image alias timestamp to the current timestamp, this causes all image aliases to be recreated on viewing.

Definition at line 543 of file ezcache.php.

Referenced by purgeImageAlias().

## ◆ clearItem()

static eZCache::clearItem | ( |  | $cacheItem,
|  |  | $purge = `false`,
|  |  | $reporter = `false`,
|  |  | $iterationSleep = `false`,
|  |  | $iterationMax = `false`,
|  |  | $expiry = `false`
| ) |  |
| static

Clears or purges the cache item $cacheItem.

If $purge is true then the system will ensure the entries are removed from local storage or database backend, otherwise it will use possible optimizations which might only invalidate the cache entry directly or use global expiry values.

Parameters

  $cacheItem | Cache item array taken from fetchList()
  $purge | Controls whether clearing/invalidation or purge is used.
  $reporter | Callback which is called when the system has purged files from the system, called with filename and purge count as parameters.
  $iterationSleep | The amount of microseconds to sleep between each purge iteration, false means no sleep.
  $iterationMax | The maximum number of items to purge in one iteration, false means use default limit.
  $expiry | A timestamp which is matched against all cache items, if the modification of the cache is older than the expiry the cache is purged, false means no expiry checking.

Definition at line 461 of file ezcache.php.

References eZSys\cacheDirectory(), eZClusterFileHandler\instance(), eZFileHandler\instance(), eZDir\recursiveDelete(), and eZDebug\writeError().

Referenced by clearAll(), clearByID(), clearByTag(), and eZCacheHelper\internalClear().

## ◆ clearSortKey()

static eZCache::clearSortKey | ( |  | $cacheItem | ) |
| static

Clears all datatype sortkey cache files from var/cache.

Definition at line 699 of file ezcache.php.

References eZSys\cacheDirectory(), and eZClusterFileHandler\instance().

## ◆ clearStateLimitations()

static eZCache::clearStateLimitations | ( |  | $cacheItem | ) |
| static

Clears all state limitation cache files.

Definition at line 766 of file ezcache.php.

References eZSys\cacheDirectory(), and eZClusterFileHandler\instance().

## ◆ clearTemplateBlockCache()

static eZCache::clearTemplateBlockCache | ( |  | $cacheItem | ) |
| static

Removes all template block cache files and subtree entries.

Definition at line 662 of file ezcache.php.

## ◆ clearTemplateCompileCache()

static eZCache::clearTemplateCompileCache | ( |  | ) |
| static

Clear Template Compile cache

Definition at line 740 of file ezcache.php.

References eZTemplateCompiler\compilationDirectory(), and eZDir\recursiveDelete().

## ◆ clearTemplateOverrideCache()

static eZCache::clearTemplateOverrideCache | ( |  | $cacheItem | ) |
| static

Removes all template override cache files, subtree entries and clears in memory override cache.

Since
  4.2

Definition at line 675 of file ezcache.php.

References eZSys\cacheDirectory(), eZTemplateDesignResource\clearInMemoryOverrideArray(), and eZDir\recursiveDelete().

## ◆ clearTextToImageCache()

static eZCache::clearTextToImageCache | ( |  | $cacheItem | ) |
| static

Clear texttoimage cache

Definition at line 748 of file ezcache.php.

References eZClusterFileHandler\instance().

## ◆ clearTSTranslationCache()

static eZCache::clearTSTranslationCache | ( |  | $cacheItem | ) |
| static

Clears the .ts translation cache

Parameters

  array | $cacheItem |

Returns
  void

Definition at line 806 of file ezcache.php.

References eZTSTranslator\expireCache().

## ◆ clearUserInfoCache()

static eZCache::clearUserInfoCache | ( |  | $cacheItem | ) |
| static

Clears all user-info caches by setting a new expiry value for the key user-info-cache.

Definition at line 710 of file ezcache.php.

## ◆ fetchByID()

static eZCache::fetchByID | ( |  | $id,
|  |  | $cacheInfoList = `false`
| ) |  |
| static

Finds the first entry with the ID $id.

Parameters

  string | $id | The entry id.
  | array|bool | The list of cache info per entry

Returns
  array The cache info structure.

Definition at line 343 of file ezcache.php.

References fetchList().

## ◆ fetchByIDList()

static eZCache::fetchByIDList | ( |  | $idList,
|  |  | $cacheInfoList = `false`
| ) |  |
| static

Finds the entries matching and ID in the list $idList.

Parameters

  array | $idList | The list of cache ID
  | array|bool | The list of cache info per entry

Returns
  array An array with cache info structures.

Definition at line 363 of file ezcache.php.

References fetchList().

## ◆ fetchByTag()

static eZCache::fetchByTag | ( |  | $tagName,
|  |  | $cacheInfoList = `false`
| ) |  |
| static

Finds all cache entries using tag $tagName.

Parameters

  string | $tagName | The tag name, or comma-separated list of names
  bool | array | $cacheInfoList | The list of cache info per entry

Returns
  array An array with cache items.

Definition at line 316 of file ezcache.php.

References fetchList().

## ◆ fetchIDList()

static eZCache::fetchIDList | ( |  | $cacheInfoList = `false` | ) |
| static

Goes through the cache info list $cacheInfoList and finds all the unique ids.

Parameters

  bool | array | $cacheInfoList | If false the list will automatically be fetched, if multiple eZCache functions are called it is a good idea to call fetchList() yourself and pass it as a parameter.

Returns
  array An array with id strings.

Definition at line 296 of file ezcache.php.

References fetchList().

## ◆ fetchList()

static eZCache::fetchList | ( |  | ) |
| static

Return a list of all cache items in the system.

Returns
  array The list of cache items

caches the list of active extensions (per siteaccess and global)

See also
  eZExtension::activeExtensions()

Definition at line 28 of file ezcache.php.

References ezpI18n\tr(), and eZDebug\writeWarning().

Referenced by clearAll(), clearByID(), clearByTag(), fetchByID(), fetchByIDList(), fetchByTag(), fetchIDList(), and fetchTagList().

## ◆ fetchTagList()

static eZCache::fetchTagList | ( |  | $cacheInfoList = `false` | ) |
| static

Goes through the cache info list $cacheInfoList and finds all the unique tags.

Parameters

  bool | array | $cacheInfoList | If false the list will automatically be fetched, if multiple eZCache functions are called it is a good idea to call fetchList() yourself and pass it as a parameter.

Returns
  array An array with tag strings.

Definition at line 273 of file ezcache.php.

References fetchList().

## ◆ purgeImageAlias()

static eZCache::purgeImageAlias | ( |  | $cacheItem | ) |
| static

Purges the image aliases of all ezimage attribute. The original image is kept.

Parameters

  array | $cacheItem | @access public

Definition at line 558 of file ezcache.php.

References eZContentObject\clearCache(), clearImageAlias(), eZContentClassAttribute\fetchList(), purgeImageAliasForObject(), eZContentObjectTreeNode\subTreeByNodeID(), and eZContentClass\VERSION_STATUS_DEFINED.

## ◆ purgeImageAliasForObject()

static eZCache::purgeImageAliasForObject | ( | array | $cacheItem,
|  | eZContentObject | $object,
|  | array | $imageIdentifiers
| ) |  |
| static private

The purge the image aliases in all versions of the content object.

Parameters

  array | $cacheItem |
  eZContentObject | $object |
  array | $imageIdentifiers | array of ezimage attribute identifiers

Definition at line 625 of file ezcache.php.

References eZPersistentObject\attribute(), and eZDebug\writeError().

Referenced by purgeImageAlias().

## ◆ purgeTextToImageCache()

static eZCache::purgeTextToImageCache | ( |  | $cacheItem | ) |
| static

Purge texttoimage cache

Definition at line 757 of file ezcache.php.

References eZClusterFileHandler\instance().

The documentation for this class was generated from the following file:

- ezcache.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.